db.users.aggregate([
  {
    $addFields: {
      emailTemp: { $concat: [{ $toLower: '$name' }, '.', { $toLower: '$surname' }, '@nowhere69.com'] },
    },
  },
  { $out: 'users' },
]);

db.users.updateMany({ role: { $ne: 1 } }, [
  {
    $set: {
      email: '$emailTemp',
      password: { $literal: '$2a$12$vLQjJ9zAWyUwiXLeQDa6w.XzrlgPBhw.2GWrjog/yuEjIaZnQwmZu' },
    },
  },
]);

db.users.updateMany({}, [{ $unset: 'emailTemp' }]);

db.tempusers.deleteMany({});

db.newslettersubscriptions.deleteMany({});
