import { IsOptional, IsDateString } from 'class-validator';

export class IndicatorQueryDto {
  @IsOptional()
  @IsDateString()
  startDate?: string;

  @IsOptional()
  @IsDateString()
  endDate?: string;

  @IsOptional()
  limit?: number;

  @IsOptional()
  skip?: number;
}
