import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';
import { StructureCategories } from '../../structures/schemas/structureCategories.schema';

export type PersonalOfferDocument = PersonalOffer & Document;

@Schema({ timestamps: true })
export class PersonalOffer {
  @Prop({ type: StructureCategories })
  categories: StructureCategories;
}

export const PersonalOfferSchema = SchemaFactory.createForClass(PersonalOffer);
