import { IsNotEmpty, IsString } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class CreateJobsGroupsDto {
  @ApiProperty({ type: String, example: 'Technique' })
  @IsNotEmpty()
  @IsString()
  readonly name: string;
}
