import { IUser } from './user.interface';

export type IUserRegistry = Omit<
  IUser,
  | 'email'
  | 'phone'
  | 'password'
  | 'emailVerified'
  | 'validationToken'
  | 'resetPasswordToken'
  | 'role'
  | 'changeEmailToken'
  | 'newEmail'
  | 'structuresLink'
  | 'pendingStructuresLink'
  | 'structureOutdatedMailSent'
  | 'personalOffers'
  | 'description'
>;
export interface UserRegistryPaginatedResponse {
  count: number;
  docs: IUserRegistry[];
}
