import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type EmployerDocument = Employer & Document;
@Schema({ timestamps: true })
export class Employer {
  @Prop({ required: true })
  name: string;

  @Prop({ required: true })
  validated: boolean;
}

export const EmployerSchema = SchemaFactory.createForClass(Employer);
