import { Injectable } from '@nestjs/common';
import { DateTime, Interval } from 'luxon';

@Injectable()
export class AdminService {
  public isDateOutdated(date: Date, nbMonths: number): boolean {
    const today = DateTime.local().setZone('utc', { keepLocalTime: true });
    return Interval.fromDateTimes(date, today).length('months') > nbMonths;
  }
}
