import { PgisCoord } from '../schemas/pgisCoord.schema';

export interface StopPoint {
  type: string;
  properties: {
    id: string;
    nom: string;
    desserte: string;
    pmr: string;
    ascenseur: string;
    escalator: string;
    gid: string;
    last_update: Date;
    last_update_fme: Date;
  };
  geometry: PgisCoord;
}
