import { IsBoolean, IsNotEmpty, IsOptional, IsString } from 'class-validator';

export class ProfileDto {
  @IsNotEmpty()
  @IsString()
  employerName: string;

  @IsNotEmpty()
  @IsString()
  jobName: string;

  @IsOptional()
  @IsBoolean()
  withAppointment?: boolean;
}
