import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class PasswordResetCheckDto {
  @ApiProperty({ type: String })
  @IsNotEmpty()
  @IsString()
  readonly token: string;
}
